Class | Ferret::Search::MultiSearcher
In: | ext/r_search.c
Parent: | Ferret::Search::Searcher

## Summary

See Searcher for the methods that you can use on this object. A MultiSearcher is used to search multiple sub-searchers. The most efficient way to do this would be to open up an IndexReader on multiple directories and creating a Searcher with that. However, if you decide to implement a RemoteSearcher, the MultiSearcher can be used to search multiple machines at once.

### Methods

new

### Public Class methods

MultiSearcher.new(searcher*) → searcher

Create a new MultiSearcher by passing a list of subsearchers to the constructor.

[Validate]